﻿using DapperORM.Common.Models;
using PushInfo.Core.Models.Tables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Core.IDAL
{
    internal interface ISysPushDAL
    {
        /// <summary>
        /// 查询集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="select">查询字段</param>
        /// <param name="sort">排序</param>
        /// <returns></returns>
        ResultModel<IEnumerable<Sys_Push>> GetList(Expression<Func<Sys_Push, bool>> where = null, Expression<Func<Sys_Push, object>> select = null, IDictionary<string, bool> sort = null);
    }
}
